#!/usr/bin/env python3

from util import script as scrUt
import configparser
import os

def main():
    args = __parseArgs()
    
    print(args)
    
def __parseArguments():
    parser = scrUt.ArgParser()
    
    parser.addInstanceDirArg()
    
    parser.addArg(alias="instanceDir", shortFlag="i", longFlag="instance_dir",
                  help="the directory with all instance files", type=str)

    parser.addArg(alias="outputDir", shortFlag="o", longFlag="output_dir",
                  help="the directory to store the minisat results for each instance",
                  type=str)                  
    
    parser.addArg(alias="configFile", shortFlag="c", longFlag="config",
                  help="config file (default: ./satlab.config)",
                  type=str, default=os.path.join(".", "satlab.config"))
                  
    arguments = parser.parse()
    

if __name__ == "__main__":
    main()
